#!/bin/sh
#
#  Usage:    sh infilt.sh [-t]
#
#	You must first chdir to the directory containing
#		rpc2filt.awk, infilt.awk, and infilt.conf.
#
#       use the "-t" for debugging, 
#		to cause shell commands to be emitted
#		to standard output, rather than executed
#

SH=/bin/sh
RPCINFO=/usr/etc/rpcinfo
AWK=awk
CAT=cat

PATH=/usr/bin:/bin
export PATH

case $1 in
	-*)  SH=$CAT ;;
esac

$RPCINFO -p 127.0.0.1 | 
	$AWK -f ./rpc2filt.awk | 
	$AWK -f ./infilt.awk ./infilt.conf - | 
	$SH

# END
